[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#507059: marked as done (initramfs-tools: Wrong check for udevadm in functions)



Your message dated Tue, 16 Dec 2008 15:32:03 +0000
with message-id <E1LCbtz-0004xA-0a@ries.debian.org>
and subject line Bug#507059: fixed in initramfs-tools 0.92m
has caused the Debian Bug report #507059,
regarding initramfs-tools: Wrong check for udevadm in functions
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
507059: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507059
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: initramfs-tools
Version: 0.92l
Severity: grave
Tags: patch
Justification: renders package unusable

scripts/functions:
303 # Wait for queued kernel/udev events 
304 wait_for_udev() 
305 { 
306         [ -x "$(command -v udevadm)" ] && return 0 
307         udevadm settle ${1:+--timeout=$1} 
308 } 

That should be || return 0

Patch attached.

-- Package-specific info:
-- /proc/cmdline
root=UUID=a7350e73-c98d-497a-a49c-ff29c19eeb30 vga=791 ro quiet

-- /proc/filesystems
	ext3

-- lsmod
Module                  Size  Used by
binfmt_misc            13580  1 
nvidia               8105072  34 
ipv6                  288328  34 
nfs                   251696  1 
lockd                  68560  1 nfs
nfs_acl                 7552  1 nfs
sunrpc                197480  10 nfs,lockd,nfs_acl
acpi_cpufreq           11792  1 
cpufreq_conservative    11784  0 
cpufreq_userspace       8452  0 
cpufreq_powersave       6400  0 
cpufreq_ondemand       11792  1 
cpufreq_stats           9120  0 
freq_table              9344  3 acpi_cpufreq,cpufreq_ondemand,cpufreq_stats
loop                   19468  0 
snd_hda_intel         434776  0 
snd_pcm_oss            41760  0 
snd_pcm                81672  2 snd_hda_intel,snd_pcm_oss
snd_mixer_oss          18816  1 snd_pcm_oss
snd_seq_dummy           7428  0 
snd_seq_oss            33152  0 
snd_seq_midi_event     11904  1 snd_seq_oss
snd_seq                54304  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_timer              25744  2 snd_pcm,snd_seq
snd_seq_device         11668  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd                    63688  8 snd_hda_intel,snd_pcm_oss,snd_pcm,snd_mixer_oss,snd_seq_oss,snd_seq,snd_timer,snd_seq_device
psmouse                42268  0 
soundcore              12064  1 snd
i2c_i801               13596  0 
pcspkr                  7040  0 
serio_raw               9860  0 
i2c_core               27936  2 nvidia,i2c_i801
atl1e                  36116  0 
snd_page_alloc         13072  2 snd_hda_intel,snd_pcm
intel_agp              31728  0 
button                 11680  0 
evdev                  14208  4 
ext3                  124944  5 
jbd                    51240  1 ext3
mbcache                12804  1 ext3
dm_mirror              20608  0 
dm_log                 13956  1 dm_mirror
dm_snapshot            19400  0 
dm_mod                 58864  15 dm_mirror,dm_log,dm_snapshot
raid10                 23680  0 
raid456               125984  0 
async_xor               8448  1 raid456
async_memcpy            6912  1 raid456
async_tx               11764  3 raid456,async_xor,async_memcpy
xor                     9744  2 raid456,async_xor
raid1                  24192  0 
raid0                  10624  0 
multipath              11392  0 
linear                  8960  0 
md_mod                 80164  6 raid10,raid456,raid1,raid0,multipath,linear
sd_mod                 29376  3 
ata_generic            10116  0 
usbhid                 45792  0 
hid                    41792  1 usbhid
ff_memless              9224  1 usbhid
ata_piix               22660  2 
libata                165472  2 ata_generic,ata_piix
scsi_mod              160760  2 sd_mod,libata
dock                   14112  1 libata
ohci1394               32564  0 
ide_pci_generic         9220  0 [permanent]
ieee1394               93816  1 ohci1394
ide_core              128284  1 ide_pci_generic
ehci_hcd               36108  0 
uhci_hcd               25760  0 
thermal                22688  0 
processor              42304  4 acpi_cpufreq,thermal
fan                     9352  0 
thermal_sys            17728  3 thermal,processor,fan

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = no
postinst_hook = update-grub
postrm_hook   = update-grub

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
BOOT=local
DEVICE=eth0
NFSROOT=auto


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages initramfs-tools depends on:
ii  cpio                          2.9-14     GNU cpio -- a program to manage ar
ii  findutils                     4.4.0-2    utilities for finding files--find,
ii  klibc-utils                   1.5.12-2   small utilities built with klibc f
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo
ii  udev                          0.125-7    /dev/ and hotplug management daemo

Versions of packages initramfs-tools recommends:
ii  busybox                       1:1.10.2-2 Tiny utilities for small and embed

initramfs-tools suggests no packages.

-- no debconf information

-- 
Julien Danjou
// ᐰ <julien@danjou.info>   http://julien.danjou.info
// 9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
// Ferns will rule the world.
>From 00fc637d2d0eb068513d44ba566840ba068371bd Mon Sep 17 00:00:00 2001
From: Julien Danjou <julien@danjou.info>
Date: Thu, 27 Nov 2008 15:51:25 +0100
Subject: [PATCH] Fix the udevadm executable check

Signed-off-by: Julien Danjou <julien@danjou.info>
---
 scripts/functions |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/scripts/functions b/scripts/functions
index 299c29c..fc2bbcb 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -303,6 +303,6 @@ configure_networking()
 # Wait for queued kernel/udev events
 wait_for_udev()
 {
-	[ -x "$(command -v udevadm)" ] && return 0
+	[ -x "$(command -v udevadm)" ] || return 0
 	udevadm settle ${1:+--timeout=$1}
 }
-- 
1.6.0.4


--- End Message ---
--- Begin Message ---
Source: initramfs-tools
Source-Version: 0.92m

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.92m.dsc
  to pool/main/i/initramfs-tools/initramfs-tools_0.92m.dsc
initramfs-tools_0.92m.tar.gz
  to pool/main/i/initramfs-tools/initramfs-tools_0.92m.tar.gz
initramfs-tools_0.92m_all.deb
  to pool/main/i/initramfs-tools/initramfs-tools_0.92m_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 507059@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Dec 2008 16:01:44 +0100
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.92m
Distribution: unstable
Urgency: medium
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 426465 502056 502058 503216 504555 505440 507059 507619
Changes: 
 initramfs-tools (0.92m) unstable; urgency=medium
 .
   [ Colin Watson ]
   * scripts/functions: Call ipconfig with a one-minute timeout.
   * Make debug option write to /dev/.initramfs/initramfs.debug,
     so that it can be retrieved after boot.
 .
   [ Julien Danjou ]
   * scripts/functions: Wrong check for udevadm in functions. (closes: #507059)
 .
   [ maximilian attems ]
   * scripts/functions: fix not set break variable. (closes: #502058)
   * MODULES=dep fix for ida devices.
   * hook-functions: alphebetize net drivers, fix typhoon typo.
   * Add atl1e, cxgb, ixgb, ixgbe, mlx4_core, netxen_nic, sfc, tehuti to
     net module list. (closes: #503216)
   * nuke 0.92k goof clean up.
   * postrm: set -e flag.
   * Revert "framebuffer: Let udev create fb devices."
   * scripts/functions: comment fix path to moved linux-2.6
     Documentation.
   * init: Don't leak initramfs-tools exported variables.
     (closes: #426465, #505440)
 .
   [ dann frazier ]
   * Fix MODULES=dep for cciss devices. (closes: #507619)
 .
   [ Michal Pokrywka ]
   * framebuffer: Add support for uvesafb. (closes: #502056)
 .
   [ Andres Salomon ]
   * fix redboot partition support. (closes: #504555)
Checksums-Sha1: 
 702a221cda8521293cc4f4a6b7f3ae7dbf293f73 1004 initramfs-tools_0.92m.dsc
 beb9f30b6faf92ced331b8b68883c2dd0e344428 68035 initramfs-tools_0.92m.tar.gz
 674de477133f0a777c655dda29dfa09475ae3b3e 74958 initramfs-tools_0.92m_all.deb
Checksums-Sha256: 
 db2603b500bb231840c51a328ce778e1058ff42b8776b85e0e67ab633b5ca099 1004 initramfs-tools_0.92m.dsc
 8978327526fc60e5d8ce03fa1abfbc66c57850800cae5b78838018c6c3a85cb4 68035 initramfs-tools_0.92m.tar.gz
 319731ec24a4d819985424e4ccd4c047f6c809084982a091baf45712c32c7c67 74958 initramfs-tools_0.92m_all.deb
Files: 
 38551370f0e1471b0d98e5a6c150d08a 1004 utils optional initramfs-tools_0.92m.dsc
 f5abdcdcce11c76d5c56c3480da884b9 68035 utils optional initramfs-tools_0.92m.tar.gz
 4194efef739007352dba29ddc51a4abb 74958 utils optional initramfs-tools_0.92m_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklHxQAACgkQeW7Lc5tEHqhy8ACfVpYJICSK1g8Q5UJlXEzQcOKT
s7QAoKAdT3zEX83hdT06im7Up8+BqtGT
=hhrO
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: